Bug 229560 - Chained code completion items should have lower prio
Chained code completion items should have lower prio
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 23:10 UTC by markiewb
Modified: 2013-05-18 02:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Shows the CC (186.08 KB, image/png)
2013-05-09 23:10 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-05-09 23:10:03 UTC
Created attachment 134274 [details]
Shows the CC

Items from the chained code completion (introduced in [1]) seem to have a higher priority than the standard ones. See the example in the screenshot. I wanted to code complete "revision" to "revionsToCheckout". But currently all the chained CC items are at the top and selected by default. So now I have to scroll down manually to my "revionsToCheckout" to select it. That is really annoying. 

EXPECTED: Proposal: chained CC items have a lower prio than the standard matching (because chaining is nice, but often not the intention of the developer)

[1] https://netbeans.org/bugzilla/show_bug.cgi?id=218604
Comment 1 Dusan Balek 2013-05-14 18:23:52 UTC
Fixed in jet-main. Moving chained completion items to 'all' completion.
 
http://hg.netbeans.org/jet-main/rev/11eb86b61aac

Receiving many complaints, after discussion with the team, we decided to provide chained completion items on the second 'Ctrl+Space'.
Comment 2 Quality Engineering 2013-05-18 02:55:39 UTC
Integrated into 'main-golden', will be available in build *201305172300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/11eb86b61aac
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #229560: Chained code completion items should have lower prio - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo